Subject: Re: PT3.0 emulation problems
From: [email-masked] (Ron Wilson)
Date: Mon, 1 Feb 1993 16:10:52 GMT
Newsgroups: comp.sys.apple2

> I have been having problems lately with interfacing my modem with proterm 3.0
> and my unix account.....
> 
> I used to use vt-100 emulation (I have the "newer" version of vt-100 for
> proterm 3.0 [the one with the asterisk after it in the emulation menu]) and
> everything used to work perfectly.....
> 
> but now, they switched all the computers  over to hp-ux... and now
> things dont work as perfectly...
> 
> 
> namely, if I am in the vi editor, and I am in the middle of a line (not
> at the end of the line)... and I want to delete a character.... I  hit
> the 'x' key... but nothing happens on the screen....
> 
> Internally, the editor DOES delete the character (if I hit control-L at
> this point, the screen does update correctly without the mising letter)
> but it just doesn't show it on the screen....
> 
> does anyone have a solution to this problem???

While I don't know if this option applies to ProTerm, the solution I used
(a number of years ago) was to define a TERMCAP entry for a "raw" //e and
then turn off any emulations ASCII Express Pro might use.

In addtion to this, I turned on maximum CR and NL delays using the stty
command.  While you should consult the relavent manual entries (start with
stty), I can suggest trying:

	stty nl1 cr3

It may be that this will be sufficient for your needs.

To use the //e TERMCAP entry, put the following in your .profile or .login
file in your home directory:

TERM=a2e
TERMCAP=`cat $HOME/termcap.a2e`

You shoudl put the following in the file $HOME/termcap.a2e

2e|ap2e|apple 2e:\
	:cd=^K:cl=^l:ce=^]:\
	:ho=^Y:cm=^^%r%+ %+ :nd=^\:se=^N:so=^O:\
	:sr=^_:sf=^J^@^@^_:kl=^H:kd=^J:ku=^K:kr=^U:kb=^?:nl=^J:\
	:do=^J:bl=^G:bs:co#80:li#24:cr=^M^_:up=^_:

Good luck.

Ron Wilson